/* Базовые стили слайда */ 

.contacts-custom-slider { 
    position: relative; 
    /* Отступ снизу, чтобы точки не накладывались на картинки */
    padding-top: 0.7vw; margin-top: 1vw; 
}

.contacts-custom-slider > *{
    user-select: none;
}

.contacts-custom-slider .swiper{
    padding-bottom: max(4vw, 50px) !important; 
}
    
.contacts-custom-slider .slider-outer-container { 
    position: relative; /* Отступы для кнопок */ 
} 

.contacts-custom-slider .slide-image img { 
    width: 100%; 
    aspect-ratio: 2 / 3;
    object-fit: cover; 
} 

.contacts-custom-slider .slide-caption {
    margin-top: 0.7vw; 
    color: #313332; 
    font-family: "Ony One"; 
    font-weight: 400; 
    font-size: 14px;
    /*font-size: clamp(15px, 1vw, 40px); */
    line-height: 100%;
    letter-spacing: 0%; 
    text-align: center;
}

/* Кастомные стрелки */ 
/* Сбрасываем стандартные цвета и размеры Swiper */

.contacts-custom-slider .swiper-button-next, 
.contacts-custom-slider .swiper-button-prev { 
    color: #ffffff; 
    background-color: #ffffff; 
    border-radius: 50%;
    border: 0.1em solid #AD83FF; 
    
    /* margin-top: -20px; */
    width: max(3.33vw, 44px); 
    height: max(3.33vw, 44px); 
    z-index: 999 !important; 
    transform: translateY(-4vw);
} 

.contacts-custom-slider .swiper-button-prev { 
    left: -1.66vw;
} 

.contacts-custom-slider .swiper-button-next { 
    right: -1.66vw;
} 

.contacts-custom-slider .swiper-button-next:hover,
.contacts-custom-slider .swiper-button-prev:hover { 
    background-color: #f0f0f0;
} 

/* Убираем стандартные иконки-шестеренки Swiper*/ 
.contacts-custom-slider .swiper-button-next::after,
.contacts-custom-slider .swiper-button-prev::after { 
    font-size: clamp(16px, 1.2vw, 40px);
    font-weight: bold;
    color: #AD83FF;
} 

/* Кастомная пагинация */ 
.contacts-custom-slider .swiper-pagination {
    position: absolute;
    left: 0;
    right: 0;
    z-index: 10;
    text-align: center;
} 

.contacts-custom-slider .swiper-pagination-bullet {
    width: max(.7vw, 10px);
    height: max(.7vw, 10px); 
    background-color: #ECECEC;
    
    /* Цвет неактивной точки */
    opacity: 1; /* Убираем стандартную прозрачность Swiper */ 
    transition: all 0.3s;
} 

.contacts-custom-slider .swiper-pagination-bullet-active {
    background-color: #AD83FF; /* Цвет активной точки */
} 

.contacts-custom-slider .swiper-scrollbar {
    background-color: #F2F2F2;
    border-radius: 2px;
    height: 6px !important;
    display: none;
}

.contacts-custom-slider .swiper-scrollbar-drag {
    background-color: #AD83FF !important;
    border-radius: 2px;
    width: 11.7% !important;
}

@media(max-width: 650px){

    .contacts-custom-slider .swiper{
        padding-bottom: 10vw !important; 
    }
    .contacts-custom-slider .swiper-pagination {
        display: none;
    } 
    .contacts-custom-slider .swiper-scrollbar {
        display: block;
    }
}

@media(max-width:500px) { 
    
    .contacts-custom-slider .slider-outer-container{ margin-top: 20px; } 
    
    .contacts-custom-slider .swiper-button-next,
    .contacts-custom-slider .swiper-button-prev {
        transform: translateY(-10vw);
    } 
}
